Inventor General Discussion

Inventor General Discussion

Reply
Contributor
jwagner
Posts: 12
Registered: ‎10-05-2009
Message 1 of 9 (2,728 Views)
Accepted Solution

Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawing.

2728 Views, 8 Replies
09-03-2012 09:53 AM
Problem:
Export IDW to AutoCAD DWG: Lines/Spline in the drawing.
 
Samplemodel: 
1. open baugruppe1.idw > Save copy as: AutoCAD DWG
2. open DWG in ACADM 2013
 
Result: 
 
2012-08-28_16-35-11.png

Hi, All

It seems many users are blocked by the exporting issue. Regarding the data attached in previous post, there is a solution to address the issue. But please pay attention, below change on exporting setting will impact all spline objects, it will replace spline with polylines.  We can't guarantee the results for any cases. Please try belows only when you face exporting issues.

 

The way to

  • Click option when export AutoCAD dwg file
  • Click next until you see "save configuration" button
  • Select folder and name the file, exit the exporting.
  • Save a configuration file.jpg
  • Open the configuration file by notepad, find the line " REPLACE SPLINE=NO", change the NO with YES, save the file.

 

  • Repeat the exporting and click option, but this time load the configuration file you have modified.

load the configuration file.jpg

 

  Save exported AutoCAD DWG file, and check the result.

 

 

If you still can't solve the issue after changing, please send your dataset to us, it will be very helpful for development team to get the final solution.

 

Thanks in advance.

Employee
jingyi.liu
Posts: 121
Registered: ‎08-28-2007
Message 2 of 9 (2,703 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

09-03-2012 06:08 PM in reply to: jwagner

Hi Jwagner

I reproduced your issue, it definitely is a bug, thanks for your report, I will log it as a defect.

Inventor Professional 2015

Jingyi Liu
Quality Assurance Team
Autodesk
Contributor
jwagner
Posts: 12
Registered: ‎10-05-2009
Message 3 of 9 (2,673 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

09-04-2012 02:58 AM in reply to: jingyi.liu

Hi Jingyi Liu,

 

Thank you!

 

Jürgen Wagner

German Autodesk Inventor FAQ

Active Member
lark22
Posts: 6
Registered: ‎01-27-2010
Message 4 of 9 (2,232 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

01-08-2013 05:38 AM in reply to: jwagner

The same thing happens when exporting from Inventor 2013 .dwg to Autocad .dwg

Member
saso
Posts: 3
Registered: ‎12-15-2006
Message 5 of 9 (2,165 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

01-22-2013 12:13 AM in reply to: jwagner

Hello,

 

did anyone find a solution for this? It's already logged with development from August 2013 but still no solution.

 

Sašo.

Employee
jingyi.liu
Posts: 121
Registered: ‎08-28-2007
Message 6 of 9 (2,160 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

01-22-2013 12:39 AM in reply to: jwagner

Hi, All

It seems many users are blocked by the exporting issue. Regarding the data attached in previous post, there is a solution to address the issue. But please pay attention, below change on exporting setting will impact all spline objects, it will replace spline with polylines.  We can't guarantee the results for any cases. Please try belows only when you face exporting issues.

 

The way to

  • Click option when export AutoCAD dwg file
  • Click next until you see "save configuration" button
  • Select folder and name the file, exit the exporting.
  • Save a configuration file.jpg
  • Open the configuration file by notepad, find the line " REPLACE SPLINE=NO", change the NO with YES, save the file.

 

  • Repeat the exporting and click option, but this time load the configuration file you have modified.

load the configuration file.jpg

 

  Save exported AutoCAD DWG file, and check the result.

 

 

If you still can't solve the issue after changing, please send your dataset to us, it will be very helpful for development team to get the final solution.

 

Thanks in advance.

Inventor Professional 2015

Jingyi Liu
Quality Assurance Team
Autodesk
Member
saso
Posts: 3
Registered: ‎12-15-2006
Message 7 of 9 (2,155 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

01-22-2013 12:50 AM in reply to: jingyi.liu

I works!

 

I wish someone told me this half year ago... I was looking for that "replace splines" option everywhere but in that location.

 

Thanks.

 

Sašo.

Active Contributor
^_^clovis^_^
Posts: 29
Registered: ‎11-16-2010
Message 8 of 9 (264 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

07-01-2014 11:22 PM in reply to: jingyi.liu

Hello,

I'm using Inventor 2014 pro and the problem remains :

left : inventor | right : autocad and (part) modified ini

 

Thanks for any help

Active Contributor
^_^clovis^_^
Posts: 29
Registered: ‎11-16-2010
Message 9 of 9 (238 Views)

Re: Inventor 2013 DE: BUG: Export IDW to AutoCAD DWG: Lines/Spline in the drawin

07-02-2014 06:09 AM in reply to: ^_^clovis^_^

Until a patch is available, I can't bear having a durty dwg :smileymad:

(defun c:cll( / acadob count aob listSpline alay lPoints nbp p1 p2 okList)
	;remove non Spline
	(setq acadob(vla-get-activeDocument(vlax-get-acad-object)))
	(setq okList
		(ssget "x" '( 	(-4 . "<NOT")(-4 . "<OR")
						(0 . "SPLINE")
					(-4 . "OR>")(-4 . "NOT>"))
		)
	)
	;change Spline
	(setq count 0)
	(repeat (sslength okList)
		(setq aob (vlax-ename->vla-object(ssname okList count)))
		(vla-put-visible aob 0)
		(setq count (1+ count))
	)
	(defun makeLine ( point1 point2 lay / )
		(entmake
			(list
				'(0 . "LINE") 
				'(100 . "AcDbEntity")
				(cons 8 lay)
				'(100 . "AcDbLine")
				point1
				point2
			)
		)
	)
	(Prompt "\nSelect Spline to change..")
	(setq listSpline (ssget '((100 . "AcDbSpline"))))
	(setq count 0)
	(repeat (sslength listSpline)
		(setq aob (vlax-ename->vla-object(ssname listSpline count)))
		(setq alay (vla-get-layer aob))
		(setq lpoints (vlax-safearray->list(vlax-variant-value(vla-get-controlpoints aob))))
		(setq nbp (length lPoints))
		(setq 	p1 (list 	10
							(nth 0 lPoints)
							(nth 1 lPoints)
							0.0)
				p2 (list	11
							(nth (- nbp 3) lPoints)
							(nth (- nbp 2) lPoints)
							0.0
					)
		)
		(makeLine p1 p2 alay)
		(setq count(1+ count))
	)
	(setvar "cmdecho" 0)
	(command "erase" listSpline "")
	(setvar "cmdecho" 1)
	;reset
	(setq count 0)
	(repeat (sslength okList)
		(setq aob (vlax-ename->vla-object(ssname okList count)))
		(vla-put-visible aob -1)
		(setq count (1+ count))
	)
	(princ)
)

 

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.